<?php
// Меняем mysql на sql во внешних файлах
$q = run_query("SELECT * FROM " . $config['table_prefix'] . "external_files");
while ($d = sql_fetch_assoc($q)) {
    $name = $d['name'];
    if (substr($name, 0, 1) != '/') {
        $slash = "/";
    } else {
        $slash = "";
    }

    if (is_file($config['site_path'] . $slash . $name)) {
        $file = @file_get_contents($config['site_path'] . $slash . $name);
        $file = str_replace(
            array(
                'mysql_query(',
                'mysql_insert_id(',
                'mysql_fetch_assoc(',
                'mysql_error(',
                'mysql_close(',
                'mysql_fetch_array(',
                'mysql_fetch_row(',
                'mysql_num_rows(',
                'mysql_free_result('
            ),
            array(
                'sql_query(',
                'sql_insert_id(',
                'sql_fetch_assoc(',
                'sql_error(',
                'sql_close(',
                'sql_fetch_array(',
                'sql_fetch_row(',
                'sql_num_rows(',
                'sql_free_result('
            ),
            $file);
        @file_put_contents($config['site_path'] . $slash . $name, $file);
    }
}
?>